package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author wh
 * @since 2025-04-22
 */
@TableName("user")
@ApiModel(value="User对象", description="用户表")
public class User extends Model<User> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "管理员账号（例如：8534715）")
    @TableField("login_account")
    private String loginAccount;

    @ApiModelProperty(value = "密码")
    @TableField("password")
    private String password;

    @ApiModelProperty(value = "所属公司名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "极光推送id/个推")
    @TableField("registration_id")
    private String registrationId;

    @ApiModelProperty(value = "最后登录时间")
    @TableField("last_login_time")
    private Date lastLoginTime;

    @ApiModelProperty(value = "角色类别")
    @TableField("role_id")
    private Long roleId;

    @ApiModelProperty(value = "企业类别1:代理;2:物业")
    @TableField("enterprise_type")
    private Integer enterpriseType;

    @ApiModelProperty(value = "账号角色类型1:运维;2:保洁;3:富士康;4:老化;5:物业;6:代理")
    @TableField("approle")
    private Integer approle;

    @ApiModelProperty(value = "角色类别(管理员，主管，其他)")
    @TableField("role_type")
    private Integer roleType;

    @ApiModelProperty(value = "如果是保洁存储当前设置的站点")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "代理ID")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "物业ID")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "推送标记")
    @TableField("supervisor_id")
    private Long supervisorId;

    @ApiModelProperty(value = "工作状态")
    @TableField("work_status")
    private Integer workStatus;

    @ApiModelProperty(value = "员工编号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "邮箱")
    @TableField("email")
    private String email;

    @ApiModelProperty(value = "身份证号")
    @TableField("idcard")
    private String idcard;

    @ApiModelProperty(value = "性别（男，女）")
    @TableField("sex")
    private String sex;

    @ApiModelProperty(value = "是否推送rfid变化")
    @TableField("rfid_flag")
    private Long rfidFlag;

    @ApiModelProperty(value = "备注（职位信息等）")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "日志开关")
    @TableField("log_flag")
    private Integer logFlag;

    @ApiModelProperty(value = "备用机开关 0:否;1:是")
    @TableField("back_hard_flag")
    private Integer backHardFlag;

    @ApiModelProperty(value = "权限组id")
    @TableField("authority_id")
    private Long authorityId;

    @ApiModelProperty(value = "0:否;1:是")
    @TableField("weixin_bind_flag")
    private Integer weixinBindFlag;

    @ApiModelProperty(value = "微信openid")
    @TableField("weixin_openid")
    private String weixinOpenid;

    @ApiModelProperty(value = "0:否;1:是")
    @TableField("authentication_flag")
    private Integer authenticationFlag;

    @TableField("weixin_name")
    private String weixinName;

    @ApiModelProperty(value = "ota升级开关0:关;1:开")
    @TableField("ota_flag")
    private Integer otaFlag;

    @ApiModelProperty(value = "生日")
    @TableField("birthday")
    private String birthday;

    @ApiModelProperty(value = "聘用日期")
    @TableField("employ_date")
    private String employDate;

    @ApiModelProperty(value = "终止日期")
    @TableField("termination_date")
    private String terminationDate;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "编辑人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "物业平台权限组id")
    @TableField("property_authority_id")
    private Long propertyAuthorityId;

    @ApiModelProperty(value = "钉钉平台用户ID")
    @TableField("ding_user_id")
    private String dingUserId;

    @ApiModelProperty(value = "工作状态")
    @TableField("work_at_status")
    private Integer workAtStatus;

    @TableField("age")
    private Integer age;

    @TableField("probation_protection")
    private Integer probationProtection;

    @TableField("note")
    private String note;

    @TableField("on_time")
    private String onTime;

    @TableField("off_time")
    private String offTime;

    @TableField("czj_auth")
    private Integer czjAuth;

    @TableField("kg_auth")
    private Integer kgAuth;

    @TableField("xb_auth")
    private Integer xbAuth;

    @ApiModelProperty(value = "电商价格权限0:不展示;1:展示;")
    @TableField("price_auth")
    private Integer priceAuth;

    @ApiModelProperty(value = "空感设置权限0:关闭;1:打开;")
    @TableField("konggan_auth")
    private Integer kongganAuth;

    @ApiModelProperty(value = "出纸机功能权限0:否;1:是")
    @TableField("czj_function_auth")
    private Integer czjFunctionAuth;

    @ApiModelProperty(value = "空感功能权限0:否;1:是")
    @TableField("kg_function_auth")
    private Integer kgFunctionAuth;

    @ApiModelProperty(value = "未清理已用卷数0:关闭;1:打开;")
    @TableField("no_clean_use_paper_auth")
    private Integer noCleanUsePaperAuth;

    @ApiModelProperty(value = "产品清单操作功能0:关闭;1:打开;")
    @TableField("product_op_auth")
    private Integer productOpAuth;

    @ApiModelProperty(value = "金蝶内码")
    @TableField("jindie_internal_id")
    private String jindieInternalId;

    @ApiModelProperty(value = "主任部门id")
    @TableField("dept_id")
    private Long deptId;

    @ApiModelProperty(value = "主任部门")
    @TableField("dept_name")
    private String deptName;

    @ApiModelProperty(value = "主任岗位")
    @TableField("post_id")
    private Long postId;

    @ApiModelProperty(value = "主任岗位")
    @TableField("post_name")
    private String postName;

    @ApiModelProperty(value = "泡沫机APP显示0:关闭;1:打开;")
    @TableField("foam_function_auth")
    private Integer foamFunctionAuth;

    @ApiModelProperty(value = "金蝶人员销售订单编号")
    @TableField("jindie_salerid")
    private String jindieSalerid;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginAccount() {
        return loginAccount;
    }

    public void setLoginAccount(String loginAccount) {
        this.loginAccount = loginAccount;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getRegistrationId() {
        return registrationId;
    }

    public void setRegistrationId(String registrationId) {
        this.registrationId = registrationId;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Integer getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseType(Integer enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public Integer getApprole() {
        return approle;
    }

    public void setApprole(Integer approle) {
        this.approle = approle;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(Long supervisorId) {
        this.supervisorId = supervisorId;
    }

    public Integer getWorkStatus() {
        return workStatus;
    }

    public void setWorkStatus(Integer workStatus) {
        this.workStatus = workStatus;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Long getRfidFlag() {
        return rfidFlag;
    }

    public void setRfidFlag(Long rfidFlag) {
        this.rfidFlag = rfidFlag;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getLogFlag() {
        return logFlag;
    }

    public void setLogFlag(Integer logFlag) {
        this.logFlag = logFlag;
    }

    public Integer getBackHardFlag() {
        return backHardFlag;
    }

    public void setBackHardFlag(Integer backHardFlag) {
        this.backHardFlag = backHardFlag;
    }

    public Long getAuthorityId() {
        return authorityId;
    }

    public void setAuthorityId(Long authorityId) {
        this.authorityId = authorityId;
    }

    public Integer getWeixinBindFlag() {
        return weixinBindFlag;
    }

    public void setWeixinBindFlag(Integer weixinBindFlag) {
        this.weixinBindFlag = weixinBindFlag;
    }

    public String getWeixinOpenid() {
        return weixinOpenid;
    }

    public void setWeixinOpenid(String weixinOpenid) {
        this.weixinOpenid = weixinOpenid;
    }

    public Integer getAuthenticationFlag() {
        return authenticationFlag;
    }

    public void setAuthenticationFlag(Integer authenticationFlag) {
        this.authenticationFlag = authenticationFlag;
    }

    public String getWeixinName() {
        return weixinName;
    }

    public void setWeixinName(String weixinName) {
        this.weixinName = weixinName;
    }

    public Integer getOtaFlag() {
        return otaFlag;
    }

    public void setOtaFlag(Integer otaFlag) {
        this.otaFlag = otaFlag;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getEmployDate() {
        return employDate;
    }

    public void setEmployDate(String employDate) {
        this.employDate = employDate;
    }

    public String getTerminationDate() {
        return terminationDate;
    }

    public void setTerminationDate(String terminationDate) {
        this.terminationDate = terminationDate;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Long getPropertyAuthorityId() {
        return propertyAuthorityId;
    }

    public void setPropertyAuthorityId(Long propertyAuthorityId) {
        this.propertyAuthorityId = propertyAuthorityId;
    }

    public String getDingUserId() {
        return dingUserId;
    }

    public void setDingUserId(String dingUserId) {
        this.dingUserId = dingUserId;
    }

    public Integer getWorkAtStatus() {
        return workAtStatus;
    }

    public void setWorkAtStatus(Integer workAtStatus) {
        this.workAtStatus = workAtStatus;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getProbationProtection() {
        return probationProtection;
    }

    public void setProbationProtection(Integer probationProtection) {
        this.probationProtection = probationProtection;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getOnTime() {
        return onTime;
    }

    public void setOnTime(String onTime) {
        this.onTime = onTime;
    }

    public String getOffTime() {
        return offTime;
    }

    public void setOffTime(String offTime) {
        this.offTime = offTime;
    }

    public Integer getCzjAuth() {
        return czjAuth;
    }

    public void setCzjAuth(Integer czjAuth) {
        this.czjAuth = czjAuth;
    }

    public Integer getKgAuth() {
        return kgAuth;
    }

    public void setKgAuth(Integer kgAuth) {
        this.kgAuth = kgAuth;
    }

    public Integer getXbAuth() {
        return xbAuth;
    }

    public void setXbAuth(Integer xbAuth) {
        this.xbAuth = xbAuth;
    }

    public Integer getPriceAuth() {
        return priceAuth;
    }

    public void setPriceAuth(Integer priceAuth) {
        this.priceAuth = priceAuth;
    }

    public Integer getKongganAuth() {
        return kongganAuth;
    }

    public void setKongganAuth(Integer kongganAuth) {
        this.kongganAuth = kongganAuth;
    }

    public Integer getCzjFunctionAuth() {
        return czjFunctionAuth;
    }

    public void setCzjFunctionAuth(Integer czjFunctionAuth) {
        this.czjFunctionAuth = czjFunctionAuth;
    }

    public Integer getKgFunctionAuth() {
        return kgFunctionAuth;
    }

    public void setKgFunctionAuth(Integer kgFunctionAuth) {
        this.kgFunctionAuth = kgFunctionAuth;
    }

    public Integer getNoCleanUsePaperAuth() {
        return noCleanUsePaperAuth;
    }

    public void setNoCleanUsePaperAuth(Integer noCleanUsePaperAuth) {
        this.noCleanUsePaperAuth = noCleanUsePaperAuth;
    }

    public Integer getProductOpAuth() {
        return productOpAuth;
    }

    public void setProductOpAuth(Integer productOpAuth) {
        this.productOpAuth = productOpAuth;
    }

    public String getJindieInternalId() {
        return jindieInternalId;
    }

    public void setJindieInternalId(String jindieInternalId) {
        this.jindieInternalId = jindieInternalId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getPostId() {
        return postId;
    }

    public void setPostId(Long postId) {
        this.postId = postId;
    }

    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public Integer getFoamFunctionAuth() {
        return foamFunctionAuth;
    }

    public void setFoamFunctionAuth(Integer foamFunctionAuth) {
        this.foamFunctionAuth = foamFunctionAuth;
    }

    public String getJindieSalerid() {
        return jindieSalerid;
    }

    public void setJindieSalerid(String jindieSalerid) {
        this.jindieSalerid = jindieSalerid;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "User{" +
        "id=" + id +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", createId=" + createId +
        ", mobile=" + mobile +
        ", name=" + name +
        ", loginAccount=" + loginAccount +
        ", password=" + password +
        ", companyName=" + companyName +
        ", registrationId=" + registrationId +
        ", lastLoginTime=" + lastLoginTime +
        ", roleId=" + roleId +
        ", enterpriseType=" + enterpriseType +
        ", approle=" + approle +
        ", roleType=" + roleType +
        ", districtId=" + districtId +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", supervisorId=" + supervisorId +
        ", workStatus=" + workStatus +
        ", no=" + no +
        ", email=" + email +
        ", idcard=" + idcard +
        ", sex=" + sex +
        ", rfidFlag=" + rfidFlag +
        ", memo=" + memo +
        ", logFlag=" + logFlag +
        ", backHardFlag=" + backHardFlag +
        ", authorityId=" + authorityId +
        ", weixinBindFlag=" + weixinBindFlag +
        ", weixinOpenid=" + weixinOpenid +
        ", authenticationFlag=" + authenticationFlag +
        ", weixinName=" + weixinName +
        ", otaFlag=" + otaFlag +
        ", birthday=" + birthday +
        ", employDate=" + employDate +
        ", terminationDate=" + terminationDate +
        ", createName=" + createName +
        ", modifyName=" + modifyName +
        ", propertyAuthorityId=" + propertyAuthorityId +
        ", dingUserId=" + dingUserId +
        ", workAtStatus=" + workAtStatus +
        ", age=" + age +
        ", probationProtection=" + probationProtection +
        ", note=" + note +
        ", onTime=" + onTime +
        ", offTime=" + offTime +
        ", czjAuth=" + czjAuth +
        ", kgAuth=" + kgAuth +
        ", xbAuth=" + xbAuth +
        ", priceAuth=" + priceAuth +
        ", kongganAuth=" + kongganAuth +
        ", czjFunctionAuth=" + czjFunctionAuth +
        ", kgFunctionAuth=" + kgFunctionAuth +
        ", noCleanUsePaperAuth=" + noCleanUsePaperAuth +
        ", productOpAuth=" + productOpAuth +
        ", jindieInternalId=" + jindieInternalId +
        ", deptId=" + deptId +
        ", deptName=" + deptName +
        ", postId=" + postId +
        ", postName=" + postName +
        ", foamFunctionAuth=" + foamFunctionAuth +
        ", jindieSalerid=" + jindieSalerid +
        "}";
    }
}
